## AgsSoundServer

AgsSoundServer — access sound servers

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_sound_server_set_url ()
gchar * | ags_sound_server_get_url ()
void | ags_sound_server_set_ports ()
guint * | ags_sound_server_get_ports ()
void | ags_sound_server_set_soundcard ()
GList * | ags_sound_server_get_soundcard ()
void | ags_sound_server_set_sequencer ()
GList * | ags_sound_server_get_sequencer ()
GObject * | ags_sound_server_register_soundcard ()
GObject * | ags_sound_server_register_soundcard_with_params ()
void | ags_sound_server_unregister_soundcard ()
GObject * | ags_sound_server_register_sequencer ()
GObject * | ags_sound_server_register_sequencer_with_params ()
void | ags_sound_server_unregister_sequencer ()

## Object Hierarchy

        GInterface
        ╰── AgsSoundServer

## Includes

    #include <ags/object/ags_sound_server.h>

## Description

The AgsSoundServer interface gives you a unique access sound servers.

## Functions

### ags_sound_server_set_url ()

    void
    ags_sound_server_set_url (AgsSoundServer *sound_server,
                              gchar *url);

Sets the url of `sound_server` .

#### Parameters

sound_server | The AgsSoundServer |
url | the url to set |

Since: 3.0.0

### ags_sound_server_get_url ()

    gchar *
    ags_sound_server_get_url (AgsSoundServer *sound_server);

Gets the URL of `sound_server` .

#### Parameters

sound_server | the AgsSoundServer |

#### Returns

the URL as string

Since: 3.0.0

### ags_sound_server_set_ports ()

    void
    ags_sound_server_set_ports (AgsSoundServer *sound_server,
                                guint *port,
                                guint port_count);

### ags_sound_server_get_ports ()

    guint *
    ags_sound_server_get_ports (AgsSoundServer *sound_server,
                                guint *port_count);

Gets the ports of `sound_server` .

#### Parameters

sound_server | the AgsSoundServer |
port_count | the number of ports returned |

#### Returns

the port as string `NULL`-terminated array

Since: 3.0.0

### ags_sound_server_set_soundcard ()

    void
    ags_sound_server_set_soundcard (AgsSoundServer *sound_server,
                                    gchar *client_uuid,
                                    GList *soundcard);

Sets the soundcard at `client_uuid` .

#### Parameters

sound_server | The AgsSoundServer |
client_uuid | the location to fetch from |
soundcard | the soundcard to set. | [element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_server_get_soundcard ()

    GList *
    ags_sound_server_get_soundcard (AgsSoundServer *sound_server,
                                    gchar *client_uuid);

Gets the soundcard of `sound_server` associated with `client_uuid` .

#### Parameters

client_uuid | the client uuid |
sound_server | the AgsSoundServer |

#### Returns

the soundcard as GList.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_server_set_sequencer ()

    void
    ags_sound_server_set_sequencer (AgsSoundServer *sound_server,
                                    gchar *client_uuid,
                                    GList *sequencer);

Sets the sequencer at `client_uuid` .

#### Parameters

sound_server | The AgsSoundServer |
client_uuid | the location to fetch from |
sequencer | the sequencer to set. | [element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_server_get_sequencer ()

    GList *
    ags_sound_server_get_sequencer (AgsSoundServer *sound_server,
                                    gchar *client_uuid);

Gets the sequencer of `sound_server` associated with `client_uuid` .

#### Parameters

client_uuid | the client uuid |
sound_server | the AgsSoundServer |

#### Returns

the sequencer as GList.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_server_register_soundcard ()

    GObject *
    ags_sound_server_register_soundcard (AgsSoundServer *sound_server,
                                         gboolean is_output);

Fetches `soundcard` of `sound_server` .

#### Parameters

sound_server | The AgsSoundServer |
is_output | if `TRUE` the used as sink, else as source |

#### Returns

a new AgsSoundcard.

[transfer full]

Since: 3.0.0

### ags_sound_server_register_soundcard_with_params ()

    GObject *
    ags_sound_server_register_soundcard_with_params
                                   (AgsSoundServer *sound_server,
                                    gboolean is_output,
                                    gchar **param_strv,
                                    GValue *param_value);

Fetches `soundcard` of `sound_server` .

#### Parameters

sound_server | The AgsSoundServer |
is_output | if `TRUE` the used as sink, else as source |
param_strv | the parameter string vector |
param_value | the parameter values |

#### Returns

a new AgsSoundcard.

[transfer full]

Since: 7.3.8

### ags_sound_server_unregister_soundcard ()

    void
    ags_sound_server_unregister_soundcard (AgsSoundServer *sound_server,
                                           GObject *soundcard);

Releases `soundcard` in `sound_server` .

#### Parameters

sound_server | The AgsSoundServer |
soundcard | the AgsSoundcard |

Since: 3.0.0

### ags_sound_server_register_sequencer ()

    GObject *
    ags_sound_server_register_sequencer (AgsSoundServer *sound_server,
                                         gboolean is_output);

Fetches `sequencer` of `sound_server` .

#### Parameters

sound_server | The AgsSoundServer |
is_output | if `TRUE` the used as sink, else as source |

#### Returns

a new AgsSequencer.

[transfer full]

Since: 3.0.0

### ags_sound_server_register_sequencer_with_params ()

    GObject *
    ags_sound_server_register_sequencer_with_params
                                   (AgsSoundServer *sound_server,
                                    gboolean is_output,
                                    gchar **param_strv,
                                    GValue *param_value);

Fetches `sequencer` of `sound_server` .

#### Parameters

sound_server | The AgsSoundServer |
is_output | if `TRUE` the used as sink, else as source |
param_strv | the parameter string vector |
param_value | the parameter values |

#### Returns

a new AgsSequencer.

[transfer full]

Since: 7.3.8

### ags_sound_server_unregister_sequencer ()

    void
    ags_sound_server_unregister_sequencer (AgsSoundServer *sound_server,
                                           GObject *sequencer);

Releases `sequencer` in `sound_server` .

#### Parameters

sound_server | The AgsSoundServer |
sequencer | the AgsSequencer |

Since: 3.0.0